LinuxQMISDK: qaQmiServingSystemParam Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
qaQmiServingSystemParam Struct Reference

## Data Fields
servSystem | ServingSystem
BYTE | roamIndicatorVal
dataSrvCapabilities | DataSrvCapabilities
currentPLMN | CurrentPLMN
WORD | SystemID
WORD | NetworkID
WORD | BasestationID
ULONG | BasestationLatitude
ULONG | BasestationLongitude
roamIndList | RoamingIndicatorList
BYTE | defaultRoamInd
qaQmi3Gpp2TimeZone | Gpp2TimeZone
BYTE | CDMA_P_Rev
BYTE | GppTimeZone
BYTE | GppNetworkDSTAdjustment
WORD | Lac
ULONG | CellID
BYTE | concSvcInfo
BYTE | PRLInd
BYTE | DTMInd
detailSvcInfo | DetailedSvcInfo
CDMASysInfoExt | CDMASystemInfoExt
BYTE | hdrPersonality
WORD | trackAreaCode
callBarStatus | CallBarStatus

## Detailed Description

This structure contains the Serving System parameters

- Parameter values default to their data type's maximum unsigned value unless explicitly stated otherwise.

Parameters

  ServingSystem | Serving System See servSystem for more information
  roamIndicatorVal | Optional parameter indicating Roaming Indicator value Values: 0x00 - Roaming 0x01 - Home 0x02 - Flashing 0x03 and above - Operator defined values
  DataSrvCapabilities | Optional parameter indicating Data services capability See dataSrvCapabilities for more information
  CurrentPLMN | Optional parameter indicating Current PLMN See currentPLMN for more information
  SystemID | Optional parameter indicating System ID
  NetworkID | Optional parameter indicating Network ID
  BaseStationID | Optional parameter indicating Base Station Identification Number
  BaseStationLatitude | Optional parameter indicating Base station latitude in units of 0.25 sec,expressed as a two's complement signed number with positive numbers signifying North latitude
  BasestationLongitude | Optional parameter indicating Base station longitude in units of 0.25 sec, expressed as a Two's complement signed number with positive numbers signifying East longitude
  RoamingIndicatorList | Optional parameter indicating Roaming Indicator List See roamIndList for more information
  defaultRoamInd | Optional parameter indicating Default Roaming Indicator Values: 0x00 - Roaming 0x01 - Home
  Gpp2TimeZone | Optional parameter indicating 3GPP2 Time Zone See qaQmi3Gpp2TimeZone for more information
  CDMA_P_Rev | Optional parameter indicating CDMA P_Rev in use
  GppTimeZone | Optional parameter indicating Offset from Universal time, i.e., difference between local time and Universal time, in increments of 15 min. (signed value).
  GppNetworkDSTAdjustment | Optional parameter indicating 3GPP network daylight saving adjustment Values: 0x00 - No adjustment for Daylight Saving Time 0x01 - 1 hr adjustment for Daylight Saving Time 0x02 - 2 hr adjustment for Daylight Saving Time
  Lac | Optional parameter indicating 3GPP Location Area Code
  CellID | Optional parameter indicating 3GPP Cell ID
  concSvcInfo | Optional parameter indicating 3GPP2 concurrent service Info Values: 0x00 - Concurrent service not available 0x01 - Concurrent service available
  PRLInd | Optional parameter indicating 3GPP2 PRL Indicator Values: 0x00 - System not in PRL 0x01 - System is in PRL
  DTMInd | Optional parameter indicating Dual Transfer Mode Indication(GSM Only) Values: 0x00 - DTM not supported 0x01 - DTM supported
  DetailedSvcInfo | Optional parameter indicating Detailed service information See detailSvcInfo for more information
  CDMASystemInfoExt | Optional parameter indicating CDMA System Info Ext See CDMASysInfoExt for more information
  hdrPersonality | Optional parameter indicating HDR Personality Information Values: 0x00 - Unknown 0x01 - HRPD 0x02 - eHRPD
  trackAreaCode | Optional parameter indicating Tracking area code information for LTE
  CallBarStatus | Optional parameter indicating Call Barring Status See callBarStatus for more information

## Field Documentation

WORD qaQmiServingSystemParam::BasestationID

ULONG qaQmiServingSystemParam::BasestationLatitude

ULONG qaQmiServingSystemParam::BasestationLongitude

callBarStatus qaQmiServingSystemParam::CallBarStatus

BYTE qaQmiServingSystemParam::CDMA_P_Rev

CDMASysInfoExt qaQmiServingSystemParam::CDMASystemInfoExt

ULONG qaQmiServingSystemParam::CellID

BYTE qaQmiServingSystemParam::concSvcInfo

currentPLMN qaQmiServingSystemParam::CurrentPLMN

dataSrvCapabilities qaQmiServingSystemParam::DataSrvCapabilities

BYTE qaQmiServingSystemParam::defaultRoamInd

detailSvcInfo qaQmiServingSystemParam::DetailedSvcInfo

BYTE qaQmiServingSystemParam::DTMInd

qaQmi3Gpp2TimeZone qaQmiServingSystemParam::Gpp2TimeZone

BYTE qaQmiServingSystemParam::GppNetworkDSTAdjustment

BYTE qaQmiServingSystemParam::GppTimeZone

BYTE qaQmiServingSystemParam::hdrPersonality

WORD qaQmiServingSystemParam::Lac

WORD qaQmiServingSystemParam::NetworkID

BYTE qaQmiServingSystemParam::PRLInd

BYTE qaQmiServingSystemParam::roamIndicatorVal

roamIndList qaQmiServingSystemParam::RoamingIndicatorList

servSystem qaQmiServingSystemParam::ServingSystem

WORD qaQmiServingSystemParam::SystemID

WORD qaQmiServingSystemParam::trackAreaCode